> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otterly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspaces



## OpenAPI

````yaml https://data.otterly.ai/v1/openapi.json get /v1/workspaces
openapi: 3.0.0
info:
  title: Otterly Public API
  version: 1.0.0
servers:
  - url: https://data.otterly.ai
security: []
tags:
  - name: Engines
  - name: Workspaces
  - name: Brand Reports
  - name: Audits
  - name: Accounts
paths:
  /v1/workspaces:
    get:
      tags:
        - Workspaces
      summary: List workspaces
      parameters:
        - schema:
            type: string
            minLength: 1
            description: >-
              Optional. Pagination cursor — pass back the `nextCursor` value
              from a previous response. Omit to fetch the first page.
          required: false
          description: >-
            Optional. Pagination cursor — pass back the `nextCursor` value from
            a previous response. Omit to fetch the first page.
          name: cursor
          in: query
      responses:
        '200':
          description: A list of workspaces.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiWorkspacesList'
        '400':
          description: Validation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiValidationErrorResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PublicApiWorkspacesList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PublicApiWorkspace'
        paging:
          $ref: '#/components/schemas/PublicApiCursorPageInfo'
      required:
        - items
        - paging
      example:
        items:
          - id: 01HX7K2YV9D3M8N0G6Q5R4S3T2
            name: Adidas Brand Tracking
            promptsUsedCount: 142
            promptsMaxCount: 500
            geoAuditUsedCount: 7
            geoAuditMaxCount: 25
            createdDate: '2024-09-15T10:30:00.000Z'
            updatedDate: '2025-04-12T14:20:00.000Z'
        paging:
          nextCursor: null
          hasMore: false
    PublicApiValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
        target:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
      required:
        - message
        - target
        - errors
      example:
        message: Validation failed
        target: query
        errors:
          - path: country
            message: Required
            code: invalid_type
    PublicApiErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      example:
        message: Report not found
    PublicApiWorkspace:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        name:
          type: string
        promptsUsedCount:
          type: number
          description: Prompts already consumed in the current billing period.
        promptsMaxCount:
          type: number
          description: Maximum prompts allowed for this workspace.
        geoAuditUsedCount:
          type: number
          description: GEO audits already consumed in the current billing period.
        geoAuditMaxCount:
          type: number
          description: Maximum GEO audits allowed for this workspace.
        createdDate:
          type: string
        updatedDate:
          type: string
      required:
        - id
        - name
        - promptsUsedCount
        - promptsMaxCount
        - geoAuditUsedCount
        - geoAuditMaxCount
        - createdDate
        - updatedDate
      example:
        id: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        name: Adidas Brand Tracking
        promptsUsedCount: 142
        promptsMaxCount: 500
        geoAuditUsedCount: 7
        geoAuditMaxCount: 25
        createdDate: '2024-09-15T10:30:00.000Z'
        updatedDate: '2025-04-12T14:20:00.000Z'
    PublicApiCursorPageInfo:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - nextCursor
        - hasMore
      example:
        nextCursor: null
        hasMore: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide your API key as a Bearer token: `Authorization: Bearer
        YOUR_API_KEY`.

````